Macro API Resource

Macro related WS

GET /macro/json

Get list of macros.

Example of response:

{"list":[{"id":1,"macroName":"55","perspectiveSetId":9,"targetClassId":104,"targetFieldName":"fi2prop_id"}],"success":true}

Try it out!

Response Body
media type data type description
application/json HdcMacrosList (JSON)

POST /macro/resolve

Resolve list of macro instances.

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json object (JSON)